Bug 1883816 - Appropriate error message to be shown when creating authsource with same name as existing authsource.
Summary: Appropriate error message to be shown when creating authsource with same name...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Ondřej Ezr
QA Contact: Akhil Jha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 10:13 UTC by Akhil Jha
Modified: 2022-03-18 13:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33248 0 None None None 2021-08-12 08:57:03 UTC

Description Akhil Jha 2020-09-30 10:13:13 UTC
Description of problem:
When creating a new authsource with an existing authsource name, appropriate error message to be shown. 

Version-Release number of selected component (if applicable):
Satellite 6.8.0 Snap 16.0

How reproducible:
Always

Steps to Reproduce:
1.Administer -> Authentication Sources -> `Create LDAP Authentication Source`
2.Create authsource with default  values(Example: Name=Test_authsource)
3.Create another authsource with same `Name` as above.

Actual results:
No error message is shown.

Expected results:
We cannot have same name for two authsource.

Comment 1 Ondřej Ezr 2021-08-12 08:57:02 UTC
Created redmine issue https://projects.theforeman.org/issues/33248 from this bug

Comment 2 Bryan Kearney 2021-11-05 12:03:10 UTC
Upstream bug assigned to oezr@redhat.com

Comment 3 Bryan Kearney 2021-11-05 12:03:12 UTC
Upstream bug assigned to oezr@redhat.com

Comment 4 Bryan Kearney 2021-11-07 20:03:06 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33248 has been resolved.

Comment 5 Akhil Jha 2021-12-22 11:12:19 UTC
Verified in Satellite 7.0.0 Snap 3.0.


Note You need to log in before you can comment on or make changes to this bug.